#
                        # root-Gerät/Partition bei der Installierung abfragen --> RDEV0/RDEV
RDEVX=`rdev` 
RDEV=${RDEVX%%" "/}           # root-device wohin Kernel oder System installiert wird
RDEV0=${RDEVX%%[0,1-9]*" "/}      # zugehöriges Gerät 
RDEVFMT=ext3                     #  ggf. ersetzen durch $RDEVFMT oder Format von $RDEV bei Installierung abfragen
    
#
echo " boot-Gerät: "  $RDEV0  "   boot/root-Partition: " $RDEV 
rdev /boot/vmlinuz-2.6.23-git14-i486-1mn $RDEV
echo "#
# hinzugefügt vom MonkeynetLinux Install-Programm
image = /boot/vmlinuz-2.6.23-git14-i486-1mn
  root = $RDEV
  label = \"2623git14\"
  read-only
  vga=791
  append=\"4 root=$RDEV devfs=nomount noapic nolapic acpi=ht\"
image = /boot/vmlinuz-2.6.23-git14-i486-1mn
  root = $RDEV
  label = \"2623git14txt\"                 # hoffentlich wird das nicht zu lang ...
  read-only
  vga=0
  append=\"3 root=$RDEV devfs=nomount noapic nolapic acpi=ht\"
#  
  "  >> /etc/lilo.conf               #   lilo config-File machen
lilo    -b $RDEV0                           #   lilo installieren 
cp -f /boot/map /boot/map-2.6.23-git14-i486-1mn
echo "   "
echo "**** Kernel  2.6.23-git14-i486-1mn  installiert nach " $RDEV " , LILO nach " $RDEV0  ":) ****"
echo "Nicht vergessen /etc/rc.d/rc.modules[.neu] zu überprüfen"
echo "   und ggf. in /etc/lilo.conf automatischen Zusatz umbenennen/umsortieren"
echo "   und #lilo nochmal laufen lassen"
echo "ggf. initrd bilden:  #mkinitrd -c -k 2.6.23-git14-i486-1mn "
echo "         -m jbd2:ext4dev:ext2:ext3:minix:reiserfs -r " $RDEV " -f " $RDEVFMT 
echo "   danach Eintrag in  /etc/lilo.conf: initrd=initrd.gz ; und   #lilo   ausführen"
echo "Nachfolgend wird dies versucht, separat für den Fall des Fehlschlages"
echo "Nach dem booten in diesen Kernel können ältere Pakete linux oder kernel desinstalliert"
echo "   werden.     Ferner versionsabhängige Programme neu installieren / übersetzen, "
echo "   u.a.  fuse, ntfs-ng3, btrfs, linux-wlan, ndiswrapper usw;  "
echo "   und #linux_logo > /etc/issue ; #depmod -a ; #ldconfig   ausführen "
echo "****"
#
rdev /boot/initrd.gz-2.6.23-git14-i486-1mn $RDEV   # initrd von anderem Rechner funktioniert idR nicht, nur für denselben wenn mkinitrd fehlschlägt
mkinitrd -c -k 2.6.23-git14-i486-1mn -o /boot/initrd.gz-2.6.23-git14-i486-1mn  -m jbd2:ext4dev:ext2:ext3:minix:reiserfs -r $RDEV -f $RDEVFMT   
echo "#
image = /boot/vmlinuz-2.6.23-git14-i486-1mn
  root = $RDEV
  initrd = /boot/initrd.gz-2.6.23-git14-i486-1mn
  label = \"2623git14ird\"       
  read-only
  vga=0
  append=\"3 root=$RDEV devfs=nomount noapic nolapic acpi=ht\"
#
    "  >> /etc/lilo.conf 
lilo    -b $RDEV0                           #   lilo installieren 
cp -f /boot/map /boot/map-2.6.23-git14-i486-1mn
sync
#
echo "*** Die Kernel-Headers wurden NICHT von /usr/src/linux-2.6.23-git14-i486-1mn/include nach /usr/include  kopiert !!!"
echo "*** Falls Programme übersetzt werden sollen, möglichst kernel-headers derjenigen Version des Systemes installieren"
echo "*** welche zur Übersetzung der zZt installierten glibc verwendet worden waren; bzw. ein bei der bisherigen Installierung"
echo "*** vhd. Paket Kernel-Headers nicht desinstallieren.       Falls unklar/nicht vhd,  die neu "
echo "*** installierten header wie beschrieben kopieren, aber das macht die Verwendung (ggf. sofortige Erzeugung) einer " 
echo "*** glibc mit diesem Kernel erforderlich !!!"
#
( cd etc/rc.d ; rm -rf rc.modules-2.6.23-git14-i486-1mn )
( cd etc/rc.d ; ln -sf /etc/rc.d/rc.modules rc.modules-2.6.23-git14-i486-1mn )
( cd lib/modules/2.6.23-git14-i486-1mn ; rm -rf build )
( cd lib/modules/2.6.23-git14-i486-1mn ; ln -sf /usr/src/linux-2.6.23-git14-i486-1mn build )
( cd lib/modules/2.6.23-git14-i486-1mn ; rm -rf source )
( cd lib/modules/2.6.23-git14-i486-1mn ; ln -sf /usr/src/linux-2.6.23-git14-i486-1mn source )
( cd usr/src/linux-2.6.23-git14-i486-1mn/include ; rm -rf asm )
( cd usr/src/linux-2.6.23-git14-i486-1mn/include ; ln -sf asm-x86 asm )
( cd usr/src ; rm -rf linux )
( cd usr/src ; ln -sf /usr/src/linux-2.6.23-git14-i486-1mn linux )
( cd usr/src ; rm -rf linux-2.6.23-git14 )
( cd usr/src ; ln -sf /usr/src/linux-2.6.23-git14-i486-1mn linux-2.6.23-git14 )
